﻿
using RealisticHelloWorld.Domain.Services;

namespace RealisticHelloWorld.Tests;

public class NumberMapperServiceTest
{
    readonly NumberMapper numberMapper;

    public NumberMapperServiceTest()
    {
        numberMapper = new NumberMapper();
    }

    [Fact]
    public void ReturnPopulatedNumberMap()
    {
        // prepare
        // act
        var result = numberMapper.GetNumberMap();

        // assert
        Assert.NotEmpty(result.Map);
        Assert.Equal(10, result.Map.Count);
        Assert.Equal("one", result.ToWord(1));
        Assert.Equal("three", result.ToWord(3));
        Assert.Equal("five", result.ToWord(5));
    }
}