﻿using RealisticHelloWorld.Domain.Interfaces;
using RealisticHelloWorld.Domain.Models;

namespace RealisticHelloWorld.Domain.Services;

public class NumberMapper : INumberMapper
{
    private readonly List<string> nums =
        new(new[] {"one","two","three","four","five","six","seven","eight","nine","ten"});

    private NumberMap data = new NumberMap();

    public NumberMapper()
    {
        for (var i = 0; i < 10; i++)
        {
            data.Map.Add(new NumberMapItem { Number = i + 1, Word = nums[i] });
        }
    }

    public NumberMap GetNumberMap()
    {
        return data;
    }
}